Name: x11-font-bh-lucidatypewriter-75dpi
Version: 1.0.3
Release: %mkrel 10
Summary: Xorg X11 font bh-lucidatypewriter-75dpi
Group: Development/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/font/font-bh-lucidatypewriter-75dpi-%{version}.tar.bz2
# See #38627 for licensing
License: MIT
BuildArch: noarch
BuildRequires: x11-font-util >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-75dpi-fonts <= 6.9.0
Requires(post): mkfontdir
Requires(postun): mkfontdir
Requires(post): mkfontscale
Requires(postun): mkfontscale

%description
Xorg X11 font bh-lucidatypewriter-75dpi

%prep
%setup -q -n font-bh-lucidatypewriter-75dpi-%{version}

%build
# fix build on aarch64
autoreconf -vfi

%configure --with-fontdir=%_datadir/fonts/75dpi
%make_build

%install
%make_install

rm -f %{buildroot}%_datadir/fonts/75dpi/fonts.dir
rm -f %{buildroot}%_datadir/fonts/75dpi/fonts.scale

%post
mkfontscale %_datadir/fonts/75dpi
mkfontdir %_datadir/fonts/75dpi

%postun
mkfontscale %_datadir/fonts/75dpi
mkfontdir %_datadir/fonts/75dpi

%files
%license COPYING
%_datadir/fonts/75dpi/lut*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.0.3-10.mga9
+ Revision: 1819761
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Mar 27 2020 wally <wally> 1.0.3-9.mga8
+ Revision: 1561148
- fix build on aarch64

* Wed Feb 12 2020 umeabot <umeabot> 1.0.3-8.mga8
+ Revision: 1501261
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.3-7.mga7
+ Revision: 1277163
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.0.3-6.mga6
+ Revision: 936421
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-5.mga5
+ Revision: 742922
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-4.mga5
+ Revision: 690486
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-3.mga4
+ Revision: 520290
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 386087
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 ahmad <ahmad> 1.0.3-1.mga3
+ Revision: 8050
- imported package x11-font-bh-lucidatypewriter-75dpi


* Thu Dec 09 2010 Thierry Vignaud <tv@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 618713
- new release

* Wed Oct 06 2010 Thierry Vignaud <tv@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 583196
- new release

* Thu Jan 21 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.1-1mdv2010.1
+ Revision: 494546
- Fix license (#38627)
- New version: 1.0.1

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.0-7mdv2009.1
+ Revision: 351358
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-6mdv2009.0
+ Revision: 225976
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.0.0-5mdv2008.1
+ Revision: 129712
- kill re-definition of %%buildroot on Pixel's request

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild prep


* Thu Aug 03 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-03 18:52:05 (51468)
- Fonts packages now are noarch. Moved for new place /usr/share/fonts. Approved by Boiko

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

